WHENEVER SQLERROR EXIT FAILURE ROLLBACK
/

DECLARE
  v_exists INTEGER;
BEGIN
 SELECT count(*) 
    INTO v_exists 
    FROM user_tab_columns utc
    WHERE (UPPER(Table_Name)='LAYERDATA_NSI');
 IF v_exists>0 THEN 
   SELECT count(*) 
      INTO v_exists 
      FROM user_tab_columns utc
      WHERE (UPPER(Table_Name)='LAYERDATA_NSI') AND (UPPER(Column_Name)='PRODUCTREF');
   IF v_exists=0 THEN 
     EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_NSI 
      ADD "PRODUCTREF" NUMBER(10,0)';
     EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_NSI
        ADD CHECK ((ProductRef<=2147483647)AND(ProductRef>-2147483648)) ENABLE';
     EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_NSI
        ADD CONSTRAINT "FK_LD_NSI_PRODUCTREF" FOREIGN KEY ("PRODUCTREF")
	      REFERENCES "TENDEROBJECTS" ("ID") ENABLE';
     EXECUTE IMMEDIATE 'COMMIT WORK';
    END IF;
  END IF;
END;
   